[![Python CI/CD](https://github.com/Arkko002/NotificationNtBot/actions/workflows/python-package.yml/badge.svg)](https://github.com/Arkko002/NotificationNtBot/actions/workflows/python-package.yml)

## Installation

```python 
pip install ntpubbot
```

## Usage

Before usage bot needs to be configured with your Discord Bot token.

Role ID and Channel ID have hardcoded defaults set to #interlinked channel and @pubbers role, so you don't need to set them manually

On the first run bot will generate template config.json in "$HOME/.config/ntpubbot" with all the necessary fields.
If that happens you need to restart the bot after providing config values.

Custom Role ID, Channel ID and minimum population required to trigger a notification can be provided either manually
in config.json, or through commands
```
!channel my-notification-channel

!role my-role

!min 1
```

The values provided in commands need to be plain names of the entities on server. So no @my-role or #my-channel,
just their names (this is probably gonna change in the future).

Values provided directly through config.json need to be ID of the channel and role, you can obtain them by right clicking
on the entities in discord and clicking "Copy ID".
